Bug 190305 - Web Inspector: allow multiple canvases to be recorded at the same time
Summary: Web Inspector: allow multiple canvases to be recorded at the same time
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL: https://devinrousso.com/demo/WebKit/c...
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasRecording WebInspectorCanvasTab 190306 190403
  Show dependency treegraph
 
Reported: 2018-10-04 23:05 PDT by Devin Rousso
Modified: 2018-10-09 10:30 PDT (History)
5 users (show)

See Also:


Attachments
Patch (43.10 KB, patch)
2018-10-05 00:53 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (47.21 KB, patch)
2018-10-08 15:13 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2018-10-04 23:05:21 PDT
There is no real reason why we can't support recording multiple canvases at the same time.  The backend is able to handle it without any issue.
Comment 1 Devin Rousso 2018-10-05 00:53:05 PDT
Created attachment 351661 [details]
Patch
Comment 2 Brian Burg 2018-10-08 12:30:12 PDT
Comment on attachment 351661 [details]
Patch

r=me

Is it possible to add a test case that starts multiple canvas recordings, triggers frames then waits for all to be stopped?
Comment 3 Devin Rousso 2018-10-08 15:13:23 PDT
Created attachment 351822 [details]
Patch
Comment 4 WebKit Commit Bot 2018-10-08 17:14:59 PDT
Comment on attachment 351822 [details]
Patch

Clearing flags on attachment: 351822

Committed r236952: <https://trac.webkit.org/changeset/236952>
Comment 5 WebKit Commit Bot 2018-10-08 17:15:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-10-08 17:15:24 PDT
<rdar://problem/45111502>
Comment 7 Truitt Savell 2018-10-09 08:29:55 PDT
It looks like https://trac.webkit.org/changeset/236952/webkit

Has caused the test inspector/canvas/shaderProgram-add-remove-webgl.html
to time out constantly.

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=inspector%2Fcanvas%2FshaderProgram-add-remove-webgl.html